# Property (dapr-sdk-parent 1.10.0 API)

Package io.dapr.config

## Class Property<T>

- java.lang.Object
- - io.dapr.config.Property<T>

Direct Known Subclasses:
  `BooleanProperty`, `GenericProperty`, `IntegerProperty`, `MillisecondsDurationProperty`, `StringProperty`

    public abstract class Property<T>
    extends Object

A configuration property in the Dapr's SDK.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`T` `get()` Gets the value defined by system property first, then env variable or sticks to default.
`String` `getEnvName()` Gets the environment variable's name.
`String` `getName()` Gets the Java property's name.
`protected abstract T` `parse​(String value)` Parses the value to the specific type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getName

    public String getName()

Gets the Java property's name.

Returns:
  Name.

#### getEnvName

    public String getEnvName()

Gets the environment variable's name.

Returns:
  Name.

#### get

    public T get()

Gets the value defined by system property first, then env variable or sticks to default.

Returns:
  Value from system property (1st) or env variable (2nd) or default (last).

#### parse

    protected abstract T parse​(String value)

Parses the value to the specific type.

Parameters:
  `value` - String value to be parsed.
Returns:
  Value in the specific type.